# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>

Summary:   A powerful but intuitive KDE tool to manage all compressed files
Name:      karchiver
Version:   3.1.1
Release:   1
Copyright: GPL
Vendor:    Eric Coquelle <coquelle@caramail.com>
Url:       http://perso.wanadoo.fr/coquelle/karchiver

Packager:  Eric Coquelle <coquelle@caramail.com>
Group:     Utilities
Source:    karchiver-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
#requires: kde >= 3.0

%description
Karchiver is a powerful but intuitive graphical tool to
manage all your compressed files
This KDE application allows you to read, extract,
convert and modify all your .tar, .bz2, .gz, .zip...
archives, just with a mouse !
Fully integrated in konqueror, you'll view and extract
all these files with your eyes closed !
It uses wizards to help you step by step, for example
to compile and install softwares, convert archive format (.tar->.zip)...
It can also split them to fit in floppies


%prep
rm -rf $RPM_BUILD_ROOT

%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.karchiver
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.karchiver
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.karchiver

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/karchiver
rm -rf ../file.list.karchiver


%files -f file.list.karchiver
